Bug 139746 - FC3 unusable with one-button-mouse
FC3 unusable with one-button-mouse
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 15:40 EST by julian
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-18 10:22:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description julian 2004-11-17 15:40:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
fedora doesn't provide a way to emulate a second and third
mouse-butten when used with a one-button mouse.

in yellowdoglinux this is done either by 
sudo /sbin/sysctl -w dev.mac_hid.mouse_button3_keycode=xxx (doesn't
work on (fedora) i386)
 or editing
/etc/sysconfig/mouse-emulation (file doesn't exist in fedora)

setting Emulate3Buttons in the Xorg.conf only provides the option to
emulate the third button on a two button mouse, by pressing both at
the same time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install fedora with a one-button-mouse
2. try to use X/Gnome/whatever


Actual Results:  second and third mouse-button can't be emulated using
the keyboard, when using a one-button-mouse

Expected Results:  fedora provides a way to configure keys which
emulate the second and third mouse-button

Additional info:
Comment 1 Mike A. Harris 2004-11-17 22:51:35 EST
This sounds more architecture specific to me than being an all
architecture problem.  While it may be physically possible to
use a Macintosh mouse on non-Mac hardware, I'm not sure that
is a hardware combination that is sensible to support.  It does
make sense to do this for PPC however if it is a problem on
PPC.  Changed platform to PPC.

I assume this is a configuration problem rather than a driver
or X server problem, so I'm reassigning the bug to our config
tool for mice - system-config-mouse.

Comment 2 Paul Nasrat 2004-11-18 01:50:52 EST
mac isn't currently a supported fedora platform I'm aware of the
ability to use mac_hid, deferring until we get close to a release out
the door.
Comment 3 Warren Togami 2004-11-18 01:55:33 EST
I personally don't care much about macs, but DEFERRED is a poor
resolution.  Why not keep the bug open and tracked by the Mac blocker
Comment 4 julian 2004-11-18 06:59:24 EST
no, i'm not filing this as a mac bug! i'm using a one button mouse on an intel laptop, and 
thats the problem! if it was a mac i would be able to do the mac_hid thing....
Comment 6 Mike A. Harris 2004-11-18 10:22:00 EST
Very well, but Paul has indicated this issue is being deferred
for future consideration, so I'm setting the status back to
DEFERRED as Paul had it.

This is a very low impact issue, as there are not going to be
very many users using a Mac mouse on an Intel box.  I definitely
do not consider it something that we officially support, but if
it happens to work, that's fine.

When Paul is ready to investigate this issue during our
development cycle, he will change the status back to ASSIGNED.
In the mean time, if someone has patches to implement the
necessary bits to make this work, please go ahead and attach
them to the report.

Thanks in advance.

Thanks for clarifying the usage case.
Comment 7 Dennis Gilmore 2005-03-07 09:38:33 EST
I work in a printing company.  with alot of macs and a few pcs.  on Friday i had
to give my mouse away  and the only spare i had was a one button  mac mouse.  i
went to system-config-mouse to set it up and it wasnt an option.  i also use a
mac keyboard   which ive come to prefer over a PC one.  so while it may be a rae
occurunce  it does occur  and i feel it would be useful to have it as an option.  

now im off to find a way to map some buttons for middle and right click. 

Note You need to log in before you can comment on or make changes to this bug.